Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.inputTextHelp
Class HtmlTextHelpRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTextRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlTextRenderer
                      org.apache.myfaces.custom.inputTextHelp.HtmlTextHelpRenderer

public class HtmlTextHelpRenderer
extends HtmlTextRenderer

Version:
  Date: 09.06.2005, 22:50:48
Author:
  Thomas Obereder

Constructor Summary
`HtmlTextHelpRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`static java.lang.String` | `getHelpText(javax.faces.component.UIComponent component)`
`static boolean` | `isSelectText(javax.faces.component.UIComponent component)`
`void` | `renderInputTextHelp(javax.faces.context.FacesContext facesContext, javax.faces.component.UIInput input)`
`protected void` | `renderNormal(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.renderkit.html.ext.HtmlTextRenderer
`encodeEnd, isDisabled, renderInputValueOnly`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlTextRendererBase
`renderInput, renderOutput, renderOutputText`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTextHelpRenderer

    public HtmlTextHelpRenderer()

Method Detail

### renderNormal

    protected void renderNormal(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

  Overrides:
    `renderNormal` in class `HtmlTextRenderer`
  Throws:
    `java.io.IOException`

### isSelectText

    public static boolean isSelectText(javax.faces.component.UIComponent component)

### getHelpText

    public static java.lang.String getHelpText(javax.faces.component.UIComponent component)

### renderInputTextHelp

    public void renderInputTextHelp(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIInput input)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `HtmlTextRendererBase`

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `HtmlTextRendererBase`
  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD